# Create a profile

Creates a new profile in the environment.

Endpoint: POST /api/ui/v1/editorprofiles
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    Input data containing profile properties

## Request fields (application/json):

  - `name` (string, required)
    The profile name
Example value: Basic Editing
    Example: Basic Editing

  - `value` (string, required)
    The editor toolbar profile configuration
Example value: {"toolbar":{"items":["bold","italic","emphasis","underline","blockQuote",{"label":"Formatting","icon":"text","items":["strikethrough","subscript","superscript","|","removeFormat"]},"fontColor","fontBackgroundColor","|","heading","|","alignment","bulletedList","numberedList","|","outdent","indent","|","link","internalLink","phoneLink","|",{"label":"Insert","withText":false,"icon":"plus","items":["sitecoreSelectMedia","insertTable","horizontalLine"]},"|","sourceEditing","|","sitecoreResetFieldValue"]}}
    Example: {"toolbar":{"items":["bold","italic","emphasis","underline","blockQuote",{"label":"Formatting","icon":"text","items":["strikethrough","subscript","superscript","|","removeFormat"]},"fontColor","fontBa…

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `id` (string)
    The identifier of the profile.
Example value: 123e4567-e89b-12d3-a456-426614174000
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `name` (string)
    The name of the profile.
Example value: Basic Editing
    Example: Basic Editing

  - `profile` (string)
    The tools configured for this profile.
Example value: {"toolbar":{"items":["bold","italic","underline","link","bulletedList","numberedList"]}}
    Example: {"toolbar":{"items":["bold","italic","underline","link","bulletedList","numberedList"]}}

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

